#pragma once
#include "objectex.h"

//the big mothership door
struct SDoor : SObjectEx
{
	SDoor()
	{
		type = door_type;	
	}
	vector2d velocity;
	vector2d open_pos;
	vector2d close_pos;
	float factor;
	vector2d desired_pos;
	SBitmap* image;
	
	SObjectEx* target_object;
	
	virtual int Handle();
	virtual void Draw();
	
	void Open();
};

SDoor* CreateDoor(SObject* parent, SObjectEx* target_obj, vector2d& closed_position, vector2d& open_position);
